Bug 850191 - Introduce new systemd-rpm macros in lirc spec file
Introduce new systemd-rpm macros in lirc spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lirc (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alec Leamas
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:47 EDT by Lukáš Nykrýn
Modified: 2013-11-10 02:48 EST (History)
2 users (show)

See Also:
Fixed In Version: lirc-0.9.0-17.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 23:42:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (2.25 KB, patch)
2012-10-24 08:17 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:47:31 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-10-24 08:17:21 EDT
Created attachment 632735 [details]
Patch replaces scriptlets with new systemd macros
Comment 2 Fedora Admin XMLRPC Client 2013-10-12 05:06:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Update System 2013-10-12 05:43:33 EDT
lirc-0.9.0-15.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lirc-0.9.0-15.fc19
Comment 4 Fedora Update System 2013-10-14 03:04:31 EDT
Package lirc-0.9.0-15.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lirc-0.9.0-15.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19040/lirc-0.9.0-15.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-18 04:54:55 EDT
lirc-0.9.0-17.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lirc-0.9.0-17.fc18
Comment 6 Fedora Update System 2013-10-18 04:58:39 EDT
lirc-0.9.0-17.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lirc-0.9.0-17.fc19
Comment 7 Fedora Update System 2013-10-18 05:00:55 EDT
lirc-0.9.0-17.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lirc-0.9.0-17.fc20
Comment 8 Fedora Update System 2013-10-28 23:42:13 EDT
lirc-0.9.0-17.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-11-10 02:48:52 EST
lirc-0.9.0-17.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.